<?php
// ###############################################
//    PHP- Script (+ Javascript) Anforderung mind. PHP 7.4 oder höher
//    Dieses Script, mit allen seinen Bestandteilen, unterliegen dem
//    deutschen Urheberrecht - © S.G.Schiffer  sgs-visual.de
//    Die Copyright Informationen in diesem Script dürfen nicht entfernt werden.
//   
//     Script: "Zufallsbilder 3.0" von S.G.Schiffer April 2025
//     Alle wichtigen Informationen (Haftungsausschluss und Urheber-Recht)
//     entnehmen Sie bitte der Anleitung, die in der ZIP-Datei enthalten ist.
// ###############################################

//            Installation von Zufallsbilder 3.0

	$domainname = $_SERVER['HTTP_HOST'];
	file_put_contents('domainname.txt', $domainname);
	$encrypted_domainname = md5($domainname);
	file_put_contents('regkey.txt', $encrypted_domainname);

	function unzipFile($zipFile, $unzipper) {
    	$zip = new ZipArchive;
    	if ($zip->open($zipFile) === TRUE) {
        	$zip->setPassword($unzipper);
        	$zip->extractTo('.');
        	$zip->close();
        	return true;
        } else {
        	return false;
        }
      }
	function sendEmail($domainName) {
    	$to = 'support@sgs-visual.de';
    	$subject = 'Installation des Scripts Zufallsbilder 3.0';
    	$message = "Das Script Zufallsbilder 3.0 wurde installiert.\n";
    	$message .= "Domainname: $domainName\n";
    	$message .= "Datum und Uhrzeit: " . date('Y-m-d H:i:s') . "\n";
    	$headers = 'From: no-reply@' . $domainName . "\r\n" .
               'Reply-To: no-reply@' . $domainName . "\r\n" .
               'X-Mailer: PHP/' . phpversion();
    	mail($to, $subject, $message, $headers);
       }
	$zipFile = 'scriptpack.zip';
	$unzipper = file_get_contents('zip.dat');
	$installationSuccess = unzipFile($zipFile, $unzipper);
	$domainName = $_SERVER['SERVER_NAME'];
	if ($installationSuccess) {
    	sendEmail($domainName);
       }
?>

 <!DOCTYPE html>
   <html lang="de">
    <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Installation</title>
    <style>
        body {
            background-color: #333333;
            font-family: Arial, sans-serif;
            font-size: 16px;
            color: #FFFFFF;
        }
        h1 {
            font-size: 18px;
            color: #FFFFFF;
        }
        #container {
            width: 400px;
            margin: 20px auto;
            text-align: center;
        }
        #progress {
            width: 100%;
            background-color: #555;
        }
        #progress-bar {
            width: 0;
            height: 20px;
            background-color: #4CAF50;
        }
    </style>
</head>
<body>
    <div id="container">
        <h1>Installation des Scriptes Zufallsbilder 3.0</h1>
        <div id="progress">
            <div id="progress-bar"></div>
        </div>
    <br>
        <div id="message"></div>
    </div>

    <script>
        var progressBar = document.getElementById("progress-bar");
        var messageDiv = document.getElementById("message");
        var width = 0;

        var interval = setInterval(function() {
            if (width >= 100) {
                clearInterval(interval);
                setTimeout(function() {
                    if (<?php echo $installationSuccess ? 'true' : 'false'; ?>) {
                        messageDiv.innerHTML = "Die Installation ist fast fertig. Bitte noch etwas Geduld.<br>Sie werden anschließend zum Login weitergeleitet.";
                        setTimeout(function() {
                            <?php if ($installationSuccess) { unlink($zipFile); } ?>
                            window.location.href = "index.php";
                        }, 5000);
                    } else {
                        messageDiv.innerHTML = "Fehler beim Entpacken der Installationsdateien.";
                    }
                }, 5000);
            } else {
                width++;
                progressBar.style.width = width + '%';
            }
        }, 50);
    </script>
</body>
</html>